Loading...
Searching...
No Matches
ExampleClass Class Reference
Example Group

This is an example class showing Doxygen tags. More...

`#include <example.hpp>`

## Public Member Functions

int | add (int a, int b)
| Adds two integers.
int | subtract (int a, int b)

## Detailed Description

This is an example class showing Doxygen tags.

It demonstrates usage of notes, warnings, todos, etc.

## Member Function Documentation

## add()

int ExampleClass::add | ( | int | a,
|  | int | b )

Adds two integers.

This function demonstrates

Parameters

return, and

Exceptions

  tags. |

Parameters

  a | First integer to add.
  b | Second integer to add.

Returns
  Sum of a and b.

Precondition
  Both a and b should be positive.

Postcondition
  Result is always greater than or equal to a and b.

Exceptions

  std::overflow_error | if sum exceeds max int.

See also
  subtract()
  int result = ExampleClass().add(1,2);
  ExampleClass
  This is an example class showing Doxygen tags.
  Definition example.hpp:23
  ExampleClass::add
  int add(int a, int b)
  Adds two integers.

The documentation for this class was generated from the following file:

- Core/example.hpp